be.fgov.ehealth.etee.crypto.policies

## Enum OCSPPolicy

- java.lang.Object
- - java.lang.Enum<OCSPPolicy>
  - - be.fgov.ehealth.etee.crypto.policies.OCSPPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OCSPPolicy>

      public enum OCSPPolicy
      extends java.lang.Enum<OCSPPolicy>

  This enum describes all different OCSP-policies that are maintained by eHealth.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE` No OCSP check.
    `RECEIVER_MANDATORY` Mandatory OCSP check done by the receiver of the message (i.e.
    `RECEIVER_OPTIONAL` OCSP call done by the receiver if not done by the sender.
    `SENDER_MANDATORY` Mandatory OCSP check done by the sender.
    `SENDER_OPTIONAL` Optional OCSP check.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLevel()`
    `static OCSPPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OCSPPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final OCSPPolicy NONE

      No OCSP check.

    - #### SENDER_OPTIONAL

          public static final OCSPPolicy SENDER_OPTIONAL

      Optional OCSP check. If the sender sets the OCSP response in the message, the receiver verifies it.
      If the response does not validate or the response is not included in the message, the cryptolib unseals the message but it also includes a NotificationWarning.
      This means that the receiver has a choice to reject or accept the message.

    - #### RECEIVER_OPTIONAL

          public static final OCSPPolicy RECEIVER_OPTIONAL

      OCSP call done by the receiver if not done by the sender. If the OCSP response was not included in the message, the receiver calls the OCSP service in order to verify the OCSP status of the signing certificate.
      The receiver should have the option to add the OCSP response into the received CMS message if the response was not present in the message (this does not break the receiver’s signature as the signature does not include the OCSP response and only the outer envelope contains the OCSP response). If the OCSP response was present in the message but it didn’t validate, or the OCSP check by the receiver failed, then the unsealing fails, i.e., a NotificationError is returned.

    - #### SENDER_MANDATORY

          public static final OCSPPolicy SENDER_MANDATORY

      Mandatory OCSP check done by the sender. If the OCSP response is not present in the message or it does not validate, a NotificationError is added to the result.

    - #### RECEIVER_MANDATORY

          public static final OCSPPolicy RECEIVER_MANDATORY

      Mandatory OCSP check done by the receiver of the message (i.e. intended recipient or intermediate ‘Message Storage Service’). The receiver should have the option to add the OCSP response into the received CMS message (this does not break the receiver’s signature as the signature does not include the OCSP response and only the outer envelope contains the OCSP response). If the OCSP response does not validate, a NotificationError is returned.

  - ### Method Detail

    - #### values

          public static OCSPPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OCSPPolicy c : OCSPPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OCSPPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLevel

          public int getLevel()

Copyright © 2021 eHealth. All rights reserved.